3

Somehow, I manages to install appache2, php5, mySQL server and phpmyadmin.

Typically, I should type "localhost/phpmyadmin" in my browser to open the phpmyadmin interface .. however,this is what appears to me :

Not Found

The requested URL /phpmyadmin was not found on this server.

Apache/2.2.22 (Ubuntu) Server at 10.0.0.254 Port 80

I thought it maybe happening because I didn't restart the apache2 server .. so I wrote this line of code :

root@aadel-pc:/home/osama# /etc/init.d/apache2 restart

And this was the result

 * Restarting web server apache2
apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
 ... waiting apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName

So, guys please I need your help in this.

  • 1
    Your Apache works fine, that error is normal somehow. I am not sure where phpmyadmin gets installed to, but apparently not /phpmyadmin. Maybe you can run /usr/sbin/pma-configure or read in /usr/share/doc/phpmyadmin/Documentation.html. – Martin Ueding Aug 18 '12 at 20:19
  • 1
    @queueoverflow Your comment got cut off at the end. Can you please check it? – nanofarad Aug 18 '12 at 20:21
  • Did you choose apache as webserver when configured phpmyadmin? – Viktor K Aug 18 '12 at 20:56
  • Apache works fine but if you anyway want to clear the error add "ServerName aadel-pc" to your /etc/apache2/httpd.conf – Viktor K Aug 18 '12 at 20:58
  • Object not found! The requested URL was not found on this server. The link on the referring page seems to be wrong or outdated. Please inform the author of that page about the error. If you think this is a server error, please contact the webmaster. Error 404 localhost Apache/2.4.23 (Unix) OpenSSL/1.0.2j PHP/5.5.38 mod_perl/2.0.8-dev Perl/v5.16.3 – Kaliya Mitesh Jan 25 '17 at 6:52
2

Even though Rahul's answer is correct, I'd suggest a slightly different approach. After you've installed apache2 and phpmyadmin using apt-get, do this:

sudo ln -s /etc/phpmyadmin/apache.conf /etc/apache2/conf-available/phpmyadmin.conf
sudo a2enconf phpmyadmin
sudo service apache2 restart

The benefit of my approach is that you won't have to resolve configuration conflicts when you upgrade Apache. You need Apache 2.4 though, which is included in the repositories of Ubuntu 14.04.

Edit: Also, the message about the fully qualified domain name has nothing to do with this. Don't worry, unless you're actually setting up a site which needs a domain name.

| improve this answer | |
  • mitesh@mitesh-Inspiron-N5010:~$ sudo service apache2 restart Job for apache2.service failed because the control process exited with error code. See "systemctl status apache2.service" and "journalctl -xe" for details. – Kaliya Mitesh Jan 25 '17 at 6:41
1

Same problem I faced, I installed LAMP and phpmyadmin using

sudo apt-get install phpmyadmin

Now what you have to do, just open your terminal and do this two steps thats it:

  1. sudo -H gedit /etc/apache2/apache2.conf

    in this apache2.conf file add this line anywhere:

     Include /etc/phpmyadmin/apache.conf
    
  2. restart apache

     /etc/init.d/apache2 restart
    

Now, your localhost/phpmyadmin will work

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.